## edu.stanford.nlp.tagger.maxent
Class AmbiguityClasses

    java.lang.Object
      edu.stanford.nlp.tagger.maxent.AmbiguityClasses

    public class AmbiguityClasses

extends Object

A collection of Ambiguity Class. The code currently here is rotted and would need to be revived.

Author:
  Kristina Toutanova

Field Summary
`protected AmbiguityClass` `naClass`

Constructor Summary
`AmbiguityClasses(TTags ttags)`

Method Summary
`protected int` `getClass(String word, Dictionary dict, int veryCommonWordThresh, TTags ttags)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### naClass

    protected final AmbiguityClass naClass

Constructor Detail

### AmbiguityClasses

    public AmbiguityClasses(TTags ttags)

Method Detail

### getClass

    protected int getClass(String word,
                           Dictionary dict,
                           int veryCommonWordThresh,
                           TTags ttags)

Stanford NLP Group